Skip to main content
npayload is launching soon.
npayloadDocs
API ReferenceMessages

Get message details

Returns the message payload and delivery status.

GET/v1/messages/{messageId}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key authentication. Keys are prefixed with environment:

  • npk_live_ for production
  • npk_test_ for testing/staging

In: header

Path Parameters

messageId*string

Message ID

Response Body

application/json

application/json

application/json

curl -X GET "https://api.npayload.com/v1/messages/string"
{
  "id": "string",
  "channelId": "string",
  "eventType": "string",
  "payload": {},
  "metadata": {},
  "publishedAt": "2019-08-24T14:15:22Z",
  "deliveryStatus": "pending"
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Invalid or missing API key"
  }
}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found"
  }
}

Was this page helpful?